<?php

return [
    // Common and Customer API Responses
    'access_token_required' => 'A valid access token is required.',
    'auth_failed' => 'These credentials do not match our records.',
    'auth_out' => 'Logged out successfully!',
    'cart_updated' => 'Your cart has been updated successfully.',
    'auth_required' => 'Please login to access this content.',
    'estimated_delivery_time' => 'Estimated Delivery Time: :time',
    'free_shipping' => 'Free Shipping',
    'item_added_to_wishlist' => 'Item added to wishlist',
    'item_removed_from_wishlist' => 'Item has been removed',
    'item_added_to_cart' => 'Item added to cart',
    'item_already_in_cart' => 'Item already in your cart',
    'item_already_in_wishlist' => 'Item already in your wishlist',
    'item_max_stock' => 'This seller has limited stock available',
    'item_minimum_qtt' => 'You can\'t place an order below this quantity',
    'item_not_in_stock' => 'We\'re sorry! This item not in stock',
    'item_removed_from_cart' => 'Item hs been removed',
    'email_account_not_found' => 'We can\'t find a user with that e-mail address.',
    'welcome_chat' => 'Please let us know how can we help you today.',
    'password_reset_link_sent' => 'The password reset link sent! Please check your email.',
    'password_reset_token_404' => 'This password reset token is invalid.',
    'password_reset_successful' => 'Your password has been updated successfully! You can login now.',
    'std_delivery_time' => 'Standard delivery time',
    'you_already_gave_feedback' => 'You already gave your feedback!',
    'your_feedback_saved' => 'Thank you for your feedback!',
    'invalid_request' => 'Invalid request!',
    '404' => 'This content is not available',
    'password_update' => 'Password Updated Successfully!',
    'new_password_cant_be_the_old_password' => 'New password can not be the old password!',
    'old_password_doesnt_matched' => 'Old password doesn\'t matched!',
    'password_reset_email' => 'We sent you a password reset email, please check your inbox & spam folder!',
    'password_reset_token_invalid' => 'Invalid password reset code, try again!',
    'order_status_updated' => 'Order status updated',
    'something_went_wrong' => 'Something went wrong, please try again!',
    'delivery_boy_password_reset' => 'A request has been accepted to reset your password for your delivery boy account. Please use this code to reset your password!',

    // Seller API Responses
    'contact_customer'                           => 'Contact customer',
    'order_updated_successfully'                 => 'Order updated successfully',
    'item_updated_successfully'                  => 'Item updated successfully',
    'account_updated_successfully'               => 'Account updated successfully',
    'account_deleted_successfully'               => 'Account deleted successfully',
    'address_created_successfully'               => 'Address created successfully',
    'address_updated_successfully'               => 'Address updated successfully',
    'address_deleted_successfully'               => 'Address deleted successfully',
    'attribute_created_successfully'             => 'Attribute created successfully',
    'attribute_updated_successfully'             => 'Attribute updated successfully',
    'attribute_trashed_successfully'             => 'Attribute trashed successfully',
    'attribute_restore_successfully'             => 'Attribute restore successfully',
    'attribute_deleted_successfully'             => 'Attribute deleted successfully',
    'data_created_successfully'                  => 'Data created successfully',
    'data_updated_successfully'                  => 'Data updated successfully',
    'data_trashed_successfully'                  => 'Moved to trash successfully',
    'data_restored_successfully'                 => 'Data restored successfully',
    'data_deleted_successfully'                  => 'Data deleted successfully',
    'category_group_created_successfully'        => 'Category group created successfully',
    'category_group_updated_successfully'        => 'Category group updated successfully',
    'category_group_trashed_successfully'        => 'Category group trashed successfully',
    'category_group_restore_successfully'        => 'Category group restored successfully',
    'category_group_deleted_successfully'        => 'Category group deleted successfully',
    'category_subgroup_created_successfully'     => 'Category sub-group created successfully',
    'category_sub_group_update_successfully'     => 'Category sub-group updated successfully',
    'category_sub_group_trashed_successfully'    => 'Category sub-group trashed successfully',
    'category_sub_group_restore_successfully'    => 'Category sub-group restore successfully',
    'category_sub_group_deleted_successfully'    => 'Category sub-group deleted successfully',
    'category_created_successfully'              => 'Category created successfully',
    'category_updated_successfully'              => 'Category updated successfully',
    'category_trashed_successfully'              => 'Category trashed successfully',
    'category_restored_successfully'             => 'Category restored successfully',
    'category_deleted_successfully'              => 'Category deleted successfully',
    'tax_created_successfully'                   => 'Tax created successfully',
    'tax_updated_successfully'                   => 'Tax updated successfully',
    'tax_trashed_successfully'                   => 'Tax trashed successfully',
    'tax_restored_successfully'                  => 'Tax restored successfully',
    'tax_deleted_successfully'                   => 'Tax deleted successfully',
    'product_created_successfully'               => 'Product created successfully',
    'product_updated_successfully'               => 'Product updated successfully',
    'product_trashed_successfully'               => 'Product trashed successfully',
    'product_restored_successfully'              => 'Product restored successfully',
    'product_deleted_successfully'               => 'Product deleted successfully',
    'manufacturer_created_successfully'          => 'Manufacturer created successfully',
    'manufacturer_updated_successfully'          => 'Manufacturer updated successfully',
    'manufacturer_trashed_successfully'          => 'Manufacturer trashed successfully',
    'manufacturer_restored_successfully'         => 'Manufacturer restored successfully',
    'manufacturer_deleted_successfully'          => 'Manufacturer deleted successfully',
    'warehouse_created_successfully'             => 'Warehouse created successfully',
    'warehouse_updated_successfully'             => 'Warehouse updated successfully',
    'warehouse_trashed_successfully'             => 'Warehouse trashed successfully',
    'warehouse_restored_successfully'            => 'Warehouse restored successfully',
    'warehouse_destroyed_successfully'           => 'Warehouse destroyed successfully',
    'delivery_boy_created_successfully'          => 'Delivery boy created successfully',
    'delivery_boy_updated_successfully'          => 'Delivery boy updated successfully',
    'delivery_boy_trashed_successfully'          => 'Delivery boy trashed successfully',
    'delivery_boy_restored_successfully'         => 'Delivery boy restored successfully',
    'delivery_boy_deleted_successfully'          => 'Delivery boy deleted successfully',
    'attribute_value_created_successfully'       => 'Attribute value created successfully',
    'attribute_value_updated_successfully'       => 'Attribute value updated successfully',
    'attribute_value_trashed_successfully'       => 'Attribute value trashed successfully',
    'attribute_value_restored_successfully'      => 'Attribute value restored successfully',
    'attribute_value_deleted_successfully'       => 'Attribute value deleted successfully',
    'supplier_created_successfully'              => 'Supplier created successfully',
    'supplier_updated_successfully'              => 'Supplier updated successfully',
    'supplier_trashed_successfully'              => 'Supplier trashed successfully',
    'supplier_restored_successfully'             => 'Supplier restored successfully',
    'supplier_deleted_successfully'              => 'Supplier deleted successfully',
    'user_created_successfully'                  => 'User created successfully',
    'user_updated_successfully'                  => 'User updated successfully',
    'user_trashed_successfully'                  => 'User trashed successfully',
    'user_restored_successfully'                 => 'User restored successfully',
    'user_deleted_successfully'                  => 'User deleted successfully',
    'refund_has_been_created_successfully'       => 'Refund has been created successfully',
    'refund_updated_successfully'                => 'Refund has been updated successfully',
    'role_created_successfully'                  => 'Role has been created successfully',
    'role_updated_successfully'                  => 'Role has been updated successfully',
    'role_deleted_successfully'                  => 'Role has been deleted successfully',
    'role_trashed_successfully'                  => 'Role has been trashed successfully',
    'role_restored_successfully'                 => 'Role has been restored successfully',
    'profile_picture_updated_successfully'       => 'Profile picture updated successfully',
    'dispute_updated_successfully'               => 'Dispute has been updated successfully',
    'config_updated_successfully'                => 'Configuration updated successfully',
    'inventory_created_successfully'             => 'inventory has been created successfully',
    'packaging_created_successfully'             => 'Packaging created successfully',
    'packaging_updated_successfully'             => 'Packaging updated successfully',
    'packaging_trashed_successfully'             => 'Packaging trashed successfully',
    'packaging_restored_successfully'            => 'Packaging restored successfully',
    'packaging_destroyed_successfully'           => 'Packaging destroyed successfully',
    'model_translation_saved_successfully'       => ':model translation saved successfully',
];
